Skip to main content
GET
/
contacts
List contacts
curl --request GET \
  --url https://api.mailrify.com/contacts \
  --header 'Authorization: Bearer <token>'
{
  "contacts": [
    {
      "id": "<string>",
      "email": "[email protected]",
      "subscribed": true,
      "data": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": "<string>",
  "hasMore": true,
  "total": 123
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Query Parameters

limit
integer
default:20

Maximum items per page

Required range: 1 <= x <= 100
cursor
string

Pagination cursor

subscribed
boolean

Filter by subscription status

Search by email

Response

200 - application/json

List of contacts

contacts
object[]
cursor
string | null

Cursor for next page

hasMore
boolean
total
integer

Total count (only included on first page)